Bug 820583 - Review Request: mtpfs - FUSE file system allowing MTP device to be mounted and browsed
Review Request: mtpfs - FUSE file system allowing MTP device to be mounted an...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-10 08:21 EDT by Richard W.M. Jones
Modified: 2012-05-26 03:58 EDT (History)
5 users (show)

See Also:
Fixed In Version: mtpfs-1.1-0.2.svn20120510.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-19 02:57:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psabata: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2012-05-10 08:21:47 EDT
Spec URL: http://oirase.annexia.org/reviews/mtpfs/mtpfs.spec
SRPM URL: http://oirase.annexia.org/reviews/mtpfs/mtpfs-1.1-0.1.svn20120510.fc17.src.rpm

Description:

MTPFS is a FUSE filesystem based on libmtp that allows an MTP device
to be browsed as if it were a normal external hard disk.

You can use this to mount and browse some Android tablet computers.

Upstream website: https://code.google.com/p/mtpfs/

Koji scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4067746

rpmlint output:

mtpfs.src: W: spelling-error Summary(en_US) filesystem -> file system, file-system, systemically
mtpfs.src: W: spelling-error %description -l en_US filesystem -> file system, file-system, systemically
mtpfs.src: W: spelling-error %description -l en_US libmtp -> Librium

Bogus.

mtpfs.src:15: W: macro-in-comment %{svndate}

There's nothing wrong with the use of the macro at this point.

mtpfs.src: W: invalid-url Source0: mtpfs-20120510.tar.gz

See comment in spec file.

mtpfs.x86_64: W: spelling-error Summary(en_US) filesystem -> file system, file-system, systemically
mtpfs.x86_64: W: spelling-error %description -l en_US filesystem -> file system, file-system, systemically
mtpfs.x86_64: W: spelling-error %description -l en_US libmtp -> Librium

Bogus.

mtpfs.x86_64: W: no-manual-page-for-binary mtpfs

True problem, but something that should be resolved upstream.

I have tested this package on my Samsung Galaxy Tab 10.1 running
CM9 p4wifi nightly build, and I was able to browse the MTP filesystem
of the device fine.
Comment 1 Petr Šabata 2012-05-10 08:31:08 EDT
I guess I could use this.  Taking the review.
Comment 2 Neal Becker 2012-05-10 09:25:20 EDT
Just FYI,

I tried this on F16 with my galaxy nexus.  It just hangs on mount.

mtpfs mnt
Listing raw device(s)
Device 0 (VID=04e8 and PID=6860) is a Samsung GT-P7310/P7510/N7000/I9100/Galaxy Tab 7.7/10.1/S2/Nexus/Note.
   Found 1 device(s):
   Samsung: GT-P7310/P7510/N7000/I9100/Galaxy Tab 7.7/10.1/S2/Nexus/Note (04e8:6860) @ bus 5, dev 2
Attempting to connect device
Android device detected, assigning default bug flags
[... hang ...]

phone is set to MTP.
Comment 3 Richard W.M. Jones 2012-05-10 10:31:49 EDT
(In reply to comment #2)
> Just FYI,
> 
> I tried this on F16 with my galaxy nexus.  It just hangs on mount.
> 
> mtpfs mnt
> Listing raw device(s)
> Device 0 (VID=04e8 and PID=6860) is a Samsung GT-P7310/P7510/N7000/I9100/Galaxy
> Tab 7.7/10.1/S2/Nexus/Note.
>    Found 1 device(s):
>    Samsung: GT-P7310/P7510/N7000/I9100/Galaxy Tab 7.7/10.1/S2/Nexus/Note
> (04e8:6860) @ bus 5, dev 2
> Attempting to connect device
> Android device detected, assigning default bug flags
> [... hang ...]
> 
> phone is set to MTP.

Not sure I know what to do about this, except to say that
it WFM on Fedora 17.  Note that most of the "magic" is done
by libmtp, so probably the bug exists there.
Comment 4 Petr Šabata 2012-05-10 10:33:56 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated


==== C/C++ ====
[-]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Package is not relocatable.


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[!]: MUST License field in the package spec file matches the actual license.
[!]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[-]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

     Description spelling; using "file system" is suggested.

[-]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[!]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[!]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
NOTE: I'm not sure about the package license.  The project website says
  the license is GPLv2, the COPYING file says GPLv3, the id3read.c says
  GPLv2+ (although it's unused) and mtpfs.c says GPL.  I guess choosing
  GPLv3 is acceptable but this is quite confusing...
TODO: Drop the buildroot removal in %install
TODO: I believe you should require %{_bindir}/fusermount instead.
TODO: You should try to preserve upstream timestamps.  Does SVN support this?

I don't think those are blockers but I'd like your feedback before
I approve this review.

Also, I don't have a cable here at the moment but I'll try this with my
Galaxy S2 later.  It would be great if it worked since Kies Air is no
longer usable and UMS was removed in ICS ...

Generated by fedora-review 0.2.0git
External plugins:
Comment 5 Richard W.M. Jones 2012-05-10 11:21:17 EDT
Updated with your feedback:

Spec URL: http://oirase.annexia.org/reviews/mtpfs/mtpfs.spec
SRPM URL:
http://oirase.annexia.org/reviews/mtpfs/mtpfs-1.1-0.2.svn20120510.fc17.src.rpm

Is preserving timestamps really necessary?
http://stackoverflow.com/questions/2171939/how-can-i-keep-the-original-file-timestamp-on-subversion
seems to think this is either dangerous or impossible(!)
Comment 6 Petr Šabata 2012-05-10 11:36:14 EDT
(In reply to comment #5)
> Updated with your feedback:
> 
> Spec URL: http://oirase.annexia.org/reviews/mtpfs/mtpfs.spec
> SRPM URL:
> http://oirase.annexia.org/reviews/mtpfs/mtpfs-1.1-0.2.svn20120510.fc17.src.rpm
> 

Ok, good.

> Is preserving timestamps really necessary?
> http://stackoverflow.com/questions/2171939/how-can-i-keep-the-original-file-timestamp-on-subversion
> seems to think this is either dangerous or impossible(!)

No, it's not required :)

Approving.
Comment 7 Richard W.M. Jones 2012-05-10 11:42:19 EDT
New Package SCM Request
=======================
Package Name: mtpfs
Short Description: FUSE file system allowing MTP device to be mounted and browsed
Owners: rjones
Branches: f16 el6
InitialCC:
Comment 8 Richard W.M. Jones 2012-05-10 11:44:25 EDT
New Package SCM Request
=======================
Package Name: mtpfs
Short Description: FUSE file system allowing MTP device to be mounted and
browsed
Owners: rjones
Branches: f16 f17 el6
InitialCC:
Comment 9 Gwyn Ciesla 2012-05-10 11:53:50 EDT
Git done (by process-git-requests).
Comment 10 Richard W.M. Jones 2012-05-10 11:58:53 EDT
Thanks Jon.

I just know I'm setting myself up for hundreds of bug reports
from people who can't get their Android tablets to work :-(((
Comment 11 Richard W.M. Jones 2012-05-10 12:12:09 EDT
Rawhide build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4068351
Comment 12 Fedora Update System 2012-05-10 12:19:56 EDT
mtpfs-1.1-0.2.svn20120510.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mtpfs-1.1-0.2.svn20120510.fc17
Comment 13 Fedora Update System 2012-05-10 12:20:23 EDT
mtpfs-1.1-0.2.svn20120510.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mtpfs-1.1-0.2.svn20120510.fc16
Comment 14 Richard W.M. Jones 2012-05-10 12:24:10 EDT
Just a note that it won't compile for EPEL 6.  The error is:

checking for MTP... configure: error: Package requirements (libmtp >= 1.1.0) were not met:
Requested 'libmtp >= 1.1.0' but version of libmtp is 1.0.1

(libmtp is provided by RHEL, so it's not so easy to upgrade)
Comment 15 Fedora Update System 2012-05-10 16:42:28 EDT
mtpfs-1.1-0.2.svn20120510.fc17 has been pushed to the Fedora 17 testing repository.
Comment 16 Fedora Update System 2012-05-19 02:57:33 EDT
mtpfs-1.1-0.2.svn20120510.fc16 has been pushed to the Fedora 16 stable repository.
Comment 17 Fedora Update System 2012-05-26 03:58:44 EDT
mtpfs-1.1-0.2.svn20120510.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.